Skip to main content
GET
/
api
/
v1
/
youtube
/
uploads
/
{id}
Get upload status
curl --request GET \
  --url https://quizquail.com/api/v1/youtube/uploads/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://quizquail.com/api/v1/youtube/uploads/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://quizquail.com/api/v1/youtube/uploads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "progress": 123,
    "title": "<string>",
    "description": "<string>",
    "tags": [
      "<string>"
    ],
    "category_id": "<string>",
    "made_for_kids": true,
    "youtube_video_id": "<string>",
    "youtube_video_url": "<string>",
    "error_message": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "scheduled_for": "2023-11-07T05:31:56Z",
    "retry_count": 123,
    "next_retry_at": "2023-11-07T05:31:56Z",
    "quiz_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "render_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "youtube_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
"type": "https://quizquail.com/problems/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "Request validation failed",
"instance": "<string>",
"errors": [
{
"field": "title",
"message": "Title is required",
"code": "too_small"
}
]
}

Authorizations

Authorization
string
header
required

API key authentication. Prefix your key with Bearer in the Authorization header.

Keys follow the format qq_... and can be scoped to specific permissions.

Path Parameters

id
string<uuid>
required

Resource UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Upload job status

data
object
required